> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video By Custom ID

> Retrieves a list of videos within a library filtered by a custom field.
This endpoint is useful when videos are associated with external systems or identifiers (e.g., project ID, user ID, category tag).



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries/{libraryId}/videos/custom/{customFiled}/{customId}
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries/{libraryId}/videos/custom/{customFiled}/{customId}:
    get:
      tags:
        - Video
      summary: Get Video By Custom ID
      description: >-
        Retrieves a list of videos within a library filtered by a custom field.

        This endpoint is useful when videos are associated with external systems
        or identifiers (e.g., project ID, user ID, category tag).
      parameters:
        - name: libraryId
          in: path
          description: Unique identifier of the library.
          required: true
          example: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
          schema:
            type: string
        - name: customFiled
          in: path
          description: >-
            Field name which will be used to get the video resource it's
            associated with.
          required: true
          example: provider_id
          schema:
            type: string
        - name: customId
          in: path
          description: Field value as uuid to retrive video resource.
          required: true
          example: 0a7e7664-28fd-4d19-a715-855e14d8889d
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                data:
                  id: a927290e-b0ae-4d27-a46d-50089ead2610
                  name: Test video updated
                  description: this is my description updated
                  status: created
                  library_id: 0a7e7664-28fd-4d19-a715-855e14d8889f
                  organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                  folder_id: 1d5abf89-295c-45f0-bc21-bcb9185bb9f2
                  metadata:
                    note: this is my meta data updated
                  created_at: '2025-10-20T17:31:57.400917+06:00'
                  updated_at: '2025-10-20T17:37:55.641895+06:00'
                message: Video Fetched Successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````